Bug 55369 - rhn_register crashes after step 2
rhn_register crashes after step 2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 09:46 EST by Matt Stevenson
Modified: 2015-01-07 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 20:13:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Stevenson 2001-10-30 09:46:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7smp i686)

Description of problem:
Running a 4 way Xeon 700 Dell system with 4gig of RAM using
kernel-enterprise-
2.4.3-12.   After running rhn_register (text mode) as root, completing step
1 and step 2 the program crashes

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run rhn_register
2.Complete step 2
3.Program crashes
	

Actual Results:  Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
    main()		
  File "/usr/sbin/rhn_register", line 100, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1033, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 551, in __init__
    hardware.read_memory()
  File "/usr/share/rhn/register/hardware.py", line 242, in read_memory
    megs = string.atoi(memlist[1])/(1024*1024)
ValueError: atoi() literal too large: 3824570368


Expected Results:  Should have continued on in the registration process

Additional info:

Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
    main()		
  File "/usr/sbin/rhn_register", line 100, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1033, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 551, in __init__
    hardware.read_memory()
  File "/usr/share/rhn/register/hardware.py", line 242, in read_memory
    megs = string.atoi(memlist[1])/(1024*1024)
ValueError: atoi() literal too large: 3824570368

I notice at the bottom the literal too large message seems to hint at maybe
a memory issue?  Does this not work with 4gig of RAM?
Comment 1 Adrian Likins 2001-11-01 18:29:05 EST
This should be fixed in the next release of the client.

Note You need to log in before you can comment on or make changes to this bug.